Subject: Re: [PATCH 05/17] bootwrapper: misc device tree fixes

From: David Gibson <[email-masked]>
Date: Wed, 21 Mar 2007 12:51:04 +1100

On Fri, Mar 16, 2007 at 12:28:45PM -0500, Scott Wood wrote:
> 1. The dtb should be generated in $tmpdir, rather than the current directory.
> Normally, $tmpdir is ".", so it doesn't matter, but the wrapper should obey
> the -W option if it should be passed.

This is still wrong (or at least insufficient).  If we're building
with a target directory different from the source directory we
shouldn't add anything to the source directory, but $tmpdir still
will.

> 2. DTC has a habit of complaining about errors which are not really
> errors.  Thus, the -f option is now passed to it, to force it to generate
> output regardless.

I'd really prefer not to add -f by default.  I think getting rid of
the bogus warnings from dtc is a better idea.

-- 
David Gibson			| I'll have my music baroque, and my code
david AT gibson.dropbear.id.au	| minimalist, thank you.  NOT _the_ _other_
				| _way_ _around_!
http://www.ozlabs.org/~dgibson